kind: Node
apiVersion: v1
metadata:
  name: jvaldes-vcjw5-windows-worker-with-the-max-length-in-name-6vnsk7
  uid: 59ee8b8a-c984-4554-87dd-0b3f2dd16823
  resourceVersion: '121080'
  creationTimestamp: '2022-10-19T18:27:04Z'
  labels:
    beta.kubernetes.io/os: windows
    failure-domain.beta.kubernetes.io/zone: us-central1-a
    node.kubernetes.io/instance-type: n1-standard-4
    kubernetes.io/os: windows
    topology.kubernetes.io/zone: us-central1-a
    node-role.kubernetes.io/worker: ''
    failure-domain.beta.kubernetes.io/region: us-central1
    node.openshift.io/os_id: Windows
    beta.kubernetes.io/instance-type: n1-standard-4
    kubernetes.io/hostname: jvaldes-vcjw5-windows-worker-with-the-max-length-in-name-6vnsk7
    topology.kubernetes.io/region: us-central1
    beta.kubernetes.io/arch: amd64
    kubernetes.io/arch: amd64
    node.kubernetes.io/windows-build: 10.0.20348
  annotations:
    k8s.ovn.org/hybrid-overlay-distributed-router-gateway-mac: 00-15-5D-24-F3-B3
    windowsmachineconfig.openshift.io/username: >-
      wx4EBwMIiMrJsj1QfNJgqUY7tKGaYhCPnM+PRFfoX4fS5gHFKKz21jtgqc9gK30G<wmcoMarker>qx5AKZW7uC6cGp0IRtLR9X3YDKw5jdq6rIO9QUxwaTFwyln4iAFqkh2Uomr+UARH<wmcoMarker>NR7gpAA=<wmcoMarker>=wiCa
    cloud.network.openshift.io/egress-ipconfig: >-
      [{"interface":"nic0","ifaddr":{"ipv4":"10.0.128.0/17"},"capacity":{"ip":10}}]
    windowsmachineconfig.openshift.io/version: 7.0.0-b146e2e
    volumes.kubernetes.io/controller-managed-attach-detach: 'true'
    k8s.ovn.org/hybrid-overlay-node-subnet: 10.132.1.0/24
    windowsmachineconfig.openshift.io/pub-key-hash: 7c00ba8122aa764a192fe7d2d9ac4d3627b9c443c09480b18c055c2e178a6019
    windowsmachineconfig.openshift.io/desired-version: 7.0.0-b146e2e
    machine.openshift.io/machine: >-
      openshift-machine-api/jvaldes-vcjw5-windows-worker-with-the-max-length-in-name-6vnsk7
  managedFields:
    - manager: cloud-network-config-controller
      operation: Update
      apiVersion: v1
      time: '2022-10-19T18:27:04Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:cloud.network.openshift.io/egress-ipconfig': {}
    - manager: jvaldes-vcjw5-master-1.c.openshift-gce-devel.internal
      operation: Update
      apiVersion: v1
      time: '2022-10-19T18:27:04Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:k8s.ovn.org/hybrid-overlay-node-subnet': {}
    - manager: jvaldes-vcjw5-master-1.c.openshift-gce-devel.internal
      operation: Update
      apiVersion: v1
      time: '2022-10-19T18:27:04Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          'f:conditions':
            'k:{"type":"NetworkUnavailable"}':
              'f:message': {}
              'f:reason': {}
              'f:status': {}
      subresource: status
    - manager: kubelet.exe
      operation: Update
      apiVersion: v1
      time: '2022-10-19T18:27:04Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            .: {}
            'f:volumes.kubernetes.io/controller-managed-attach-detach': {}
          'f:labels':
            'f:failure-domain.beta.kubernetes.io/region': {}
            'f:topology.kubernetes.io/region': {}
            'f:beta.kubernetes.io/arch': {}
            'f:beta.kubernetes.io/instance-type': {}
            'f:kubernetes.io/hostname': {}
            'f:kubernetes.io/arch': {}
            'f:node.kubernetes.io/windows-build': {}
            .: {}
            'f:beta.kubernetes.io/os': {}
            'f:failure-domain.beta.kubernetes.io/zone': {}
            'f:topology.kubernetes.io/zone': {}
            'f:node.kubernetes.io/instance-type': {}
            'f:kubernetes.io/os': {}
            'f:node.openshift.io/os_id': {}
        'f:spec':
          'f:providerID': {}
    - manager: nodelink-controller
      operation: Update
      apiVersion: v1
      time: '2022-10-19T18:27:04Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:machine.openshift.io/machine': {}
          'f:labels':
            'f:node-role.kubernetes.io/worker': {}
    - manager: jvaldes-vcjw5-windows-worker-with-the-max-length-in-name-6vnsk7
      operation: Update
      apiVersion: v1
      time: '2022-10-19T18:28:13Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:k8s.ovn.org/hybrid-overlay-distributed-router-gateway-mac': {}
    - manager: windows-machine-config-operator
      operation: Update
      apiVersion: v1
      time: '2022-10-19T18:28:53Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:windowsmachineconfig.openshift.io/desired-version': {}
            'f:windowsmachineconfig.openshift.io/pub-key-hash': {}
            'f:windowsmachineconfig.openshift.io/username': {}
            'f:windowsmachineconfig.openshift.io/version': {}
    - manager: kube-controller-manager
      operation: Update
      apiVersion: v1
      time: '2022-10-19T18:28:55Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          'f:taints': {}
    - manager: kubelet.exe
      operation: Update
      apiVersion: v1
      time: '2022-10-19T18:44:10Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          'f:conditions':
            'k:{"type":"DiskPressure"}':
              'f:lastHeartbeatTime': {}
            'k:{"type":"MemoryPressure"}':
              'f:lastHeartbeatTime': {}
            'k:{"type":"PIDPressure"}':
              'f:lastHeartbeatTime': {}
            'k:{"type":"Ready"}':
              'f:lastHeartbeatTime': {}
              'f:lastTransitionTime': {}
              'f:message': {}
              'f:reason': {}
              'f:status': {}
      subresource: status
spec:
  providerID: >-
    gce://openshift-gce-devel/us-central1-a/jvaldes-vcjw5-windows-worker-with-the-max-length-in-name-6vnsk7
  taints:
    - key: os
      value: Windows
      effect: NoSchedule
status:
  capacity:
    attachable-volumes-gce-pd: '127'
    cpu: '4'
    ephemeral-storage: 134098924Ki
    memory: 15724912Ki
    pods: '250'
  allocatable:
    attachable-volumes-gce-pd: '127'
    cpu: 3500m
    ephemeral-storage: '122511826330'
    memory: 14573936Ki
    pods: '250'
  conditions:
    - type: NetworkUnavailable
      status: 'False'
      lastHeartbeatTime: null
      lastTransitionTime: '2022-10-19T18:27:04Z'
      reason: RouteCreated
      message: ovn-kube cleared kubelet-set NoRouteCreated
    - type: MemoryPressure
      status: 'False'
      lastHeartbeatTime: '2022-10-19T18:44:10Z'
      lastTransitionTime: '2022-10-19T18:27:04Z'
      reason: KubeletHasSufficientMemory
      message: kubelet has sufficient memory available
    - type: DiskPressure
      status: 'False'
      lastHeartbeatTime: '2022-10-19T18:44:10Z'
      lastTransitionTime: '2022-10-19T18:27:04Z'
      reason: KubeletHasNoDiskPressure
      message: kubelet has no disk pressure
    - type: PIDPressure
      status: 'False'
      lastHeartbeatTime: '2022-10-19T18:44:10Z'
      lastTransitionTime: '2022-10-19T18:27:04Z'
      reason: KubeletHasSufficientPID
      message: kubelet has sufficient PID available
    - type: Ready
      status: 'True'
      lastHeartbeatTime: '2022-10-19T18:44:10Z'
      lastTransitionTime: '2022-10-19T18:28:51Z'
      reason: KubeletReady
      message: kubelet is posting ready status
  addresses:
    - type: InternalIP
      address: 10.0.128.6
    - type: InternalDNS
      address: >-
        jvaldes-vcjw5-windows-worker-with-the-max-length-in-name-6vnsk7.c.openshift-gce-devel.internal
    - type: Hostname
      address: jvaldes-vcjw5-windows-worker-with-the-max-length-in-name-6vnsk7
  daemonEndpoints:
    kubeletEndpoint:
      Port: 10250
  nodeInfo:
    containerRuntimeVersion: 'containerd://1.19'
    machineID: jvaldes-vcjw5-windows-worker-with-the-max-length-in-name-6vnsk7
    kubeletVersion: v1.25.0-2492+3ef6ef3cfbd273
    systemUUID: 22BCEF52-B327-7817-3239-DEE57D2A7079
    bootID: '9'
    operatingSystem: windows
    architecture: amd64
    osImage: Windows Server 2022 Datacenter
    kubeProxyVersion: v1.25.0-2492+3ef6ef3cfbd273
    kernelVersion: 10.0.20348.1129
